spec:
  inputs:
    build-target:
      default: laravel
---

include:
  - local: .vue.gitlab-ci.yml
    rules:
      - if: $[[ inputs.build-target ]] == "vue"
  - local: .laravel.gitlab-ci.yml
    rules:
      - if: $[[ inputs.build-target ]] == "laravel"
  - local: .golang.gitlab-ci.yml
    rules:
      - if: $[[ inputs.build-target ]] == "golang"